import React from "react";
import { IPublicTypeProjectSchema } from "@gant-lowcode/lowcode-types";
import { Result } from "@gant-lowcode/code-generator/standalone-loader";
import "./index.less";
interface CodeGenResultProps {
    result: Result | null | undefined;
    schema: IPublicTypeProjectSchema | null;
    originalSchema: IPublicTypeProjectSchema | null;
}
export interface CodeGenResultRef {
    codeZip: () => Promise<Blob>;
}
export declare const CodeGenResult: React.ForwardRefExoticComponent<CodeGenResultProps & React.RefAttributes<CodeGenResultRef>>;
export {};
