import * as __WEBPACK_EXTERNAL_MODULE__gant_lowcode_code_generator_standalone_loader__ from "@gant-lowcode/code-generator/standalone-loader";
import * as __WEBPACK_EXTERNAL_MODULE__components_code_gen_action_index_js__ from "./components/code-gen-action/index.js";
const src_rslib_entry_plugin = (ctx, options)=>({
        // 插件对外暴露的数据和方法
        exports () {
            return {
                generateCode: __WEBPACK_EXTERNAL_MODULE__gant_lowcode_code_generator_standalone_loader__.generateCode
            };
        },
        // 插件的初始化函数，在引擎初始化之后会立刻调用
        async init () {
            try {
                if (!options?.disableCodeGenActionBtn) ctx.skeleton.add({
                    type: "Custom",
                    name: "code-generator",
                    area: "topArea",
                    props: {
                        align: "right",
                        width: 100
                    },
                    content: __WEBPACK_EXTERNAL_MODULE__components_code_gen_action_index_js__.CodeGenActionBtn,
                    contentProps: {
                        ctx
                    }
                });
                // 提前初始化下，这样后面用的时候更快
                __WEBPACK_EXTERNAL_MODULE__gant_lowcode_code_generator_standalone_loader__.init();
            } catch (e) {
                console.error("[plugin-code-geneator] failed to init: ", e);
                throw e;
            }
        },
        destroy () {}
    });
src_rslib_entry_plugin.pluginName = "codeGenerator";
src_rslib_entry_plugin.meta = {
    dependencies: [],
    preferenceDeclaration: {
        title: "codeGenerator 的参数定义",
        properties: [
            {
                key: "disableCodeGenActionBtn",
                type: "boolean",
                description: "是否要禁用出码的动作按钮"
            }
        ]
    }
};
/* ESM default export */ const src_rslib_entry_ = src_rslib_entry_plugin;
export { src_rslib_entry_ as default };
