export type SyncCodeGenResult = {
    type: "SYNC_RESULT";
    sourceFiles: Array<{
        pathName: string;
        content: string;
    }>;
};
export type CodeModules = Record<string, {
    entry?: 1;
    packagejson?: 1;
    code: string;
    fpath: string;
}>;
export type GravityCode = {
    type: string;
    modules: CodeModules;
};
