import { CodeModules } from "../../types";
import "./index.less";
interface FileTreeProps {
    modules: CodeModules;
    onSelect?(key: string): void;
    selectedKeys?: string[];
}
export declare const FileTree: (props: FileTreeProps) => import("react/jsx-runtime").JSX.Element;
type TreeNode = {
    id: string;
    label: string;
    folder: boolean;
    depth: number;
    expanded: boolean;
};
export declare function createFlattenTree(data: Record<string, {
    fpath: string;
    code: string;
}>, expandedKeys: string[]): TreeNode[];
export {};
